#pragma once

#include "project1/ecs/component_storage.hpp"
#include "project1/ecs/entity.hpp"
#include "project1/ecs/handle.hpp"
#include "project1/ecs/handle_data.hpp"
#include "project1/ecs/utility/component_list.hpp"
#include "project1/ecs/utility/counter.hpp"
#include "project1/ecs/utility/data_index.hpp"
#include "project1/ecs/utility/entity_index.hpp"
#include "project1/ecs/utility/handle_data_index.hpp"
#include "project1/ecs/utility/settings.hpp"
#include "project1/ecs/utility/signature.hpp"
#include "project1/ecs/utility/signature_list.hpp"
#include "project1/ecs/utility/tag_list.hpp"
